Log4j 1.2.7

## org.apache.log4j
Class Layout

    java.lang.Object
      |
      +--org.apache.log4j.Layout

All Implemented Interfaces:
  OptionHandler

Direct Known Subclasses:
  DateLayout, HTMLLayout, PatternLayout, SimpleLayout, XMLLayout

public abstract class Layout
extends Object
implements OptionHandler

Extend this abstract class to create your own log layout format.

Author:
  Ceki Gülcü

Field Summary
`static String` `LINE_SEP`
`static int` `LINE_SEP_LEN`

Constructor Summary
`Layout()`

Method Summary
`abstract String` `format(LoggingEvent event)` Implement this method to create your own layout format.
`String` `getContentType()` Returns the content type output by this layout.
`String` `getFooter()` Returns the footer for the layout format.
`String` `getHeader()` Returns the header for the layout format.
`abstract boolean` `ignoresThrowable()` If the layout handles the throwable object contained within `LoggingEvent`, then the layout should return `false`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.log4j.spi.OptionHandler
`activateOptions`

Field Detail

### LINE_SEP

    public static final String LINE_SEP

### LINE_SEP_LEN

    public static final int LINE_SEP_LEN

Constructor Detail

### Layout

    public Layout()

Method Detail

### format

    public abstract String format(LoggingEvent event)

  Implement this method to create your own layout format.

### getContentType

    public String getContentType()

  Returns the content type output by this layout. The base class returns "text/plain".

### getHeader

    public String getHeader()

  Returns the header for the layout format. The base class returns `null`.

### getFooter

    public String getFooter()

  Returns the footer for the layout format. The base class returns `null`.

### ignoresThrowable

    public abstract boolean ignoresThrowable()

  If the layout handles the throwable object contained within `LoggingEvent`, then the layout should return `false`. Otherwise, if the layout ignores throwable object, then the layout should return `true`.

  The `SimpleLayout`, `TTCCLayout`, `PatternLayout` all return `true`. The `XMLLayout` returns `false`.

  Since:
    0.8.4

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.